QGIS Application - Bug report #12922
Join Attributes by Location does not intersect / return data
2015-06-09 02:07 PM - mike t

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21005
Description

Using QGIS 2.8.2, Processing 2.9.3 - Attempting to join point data to polygons. Works fine when using Vector>Data Management
Tools>Join Attributes by Location or the Graphical Modeler. However, when trying to use via Python console or plugin, the result is an
empty output containing fields from both inputs.

Here is the console syntax:
import processing
processing.runandload("qggis:joinattributesbylocation”, 'FreshPolys', 'Points’, 'intersects',1,'SUM',1,r"C:\\scratch\\pythonout.shp")

Polygon and Point data are attached. The Polygons are valid with no topology errors. Both use CRS 4326.

Downgrading the processing plugin to 2.2.0-2 corrects the issue, but not a long-term solution. Also curious as to what possible
problems/conflicts could arise from using 2.2 processing plugin with Wien 2.8.2.

Thank you

History

#1 - 2016-05-24 12:18 PM - Alexander Bruy
- Category set to Processing/QGIS

#2 - 2016-12-30 01:14 AM - Alexander Bruy
- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master. Please reopen if necessary

Files

JoinByLocationData.zip 47.7 KB 2015-06-09 mike t
